/// <reference types=".pnpm/@solana+web3.js@1.31.0/node_modules/@solana/web3.js" />
import { programs } from "@renec-foundation/metaplex-js";
import { Transaction } from "@solana/web3.js";
export type TNFTJson = {
    name: string;
    symbol?: string;
    description?: string;
    image?: string;
    attributes?: {
        trait_type: string;
        value: string;
    }[];
};
export type TNFTDetail = {
    json: TNFTJson | undefined;
    metadata: programs.metadata.MetadataData;
} | null;
export interface IFetchNFT {
    fetchNFTList: () => Promise<TNFTDetail[]>;
    buildTransferTransaction: (toAddress: string, mintAddress: string) => Promise<Transaction | undefined>;
}
